## qmapshack 1.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(QMapShack)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
if(WIN32)
option(USE_QT5DBus "Enable device detection via DBus" OFF)
else(WIN32)
option(USE_QT5DBus "Enable device detection via DBus" ON)
endif(WIN32)

# Needed to properly handle extract translations strings when using the Ninja
# generator.
if (COMMAND CMAKE_POLICY)
    if (POLICY CMP0058)
        cmake_policy(SET CMP0058 NEW)
    endif()
endif()

if(WIN32)
set(QT_DEV_PATH   "C:\\Qt5\\5.5\\msvc2013_64" CACHE PATH "Path to directory containing Qt5 include and lib, e.g. C:\\Qt5\\5.5\\msvc2013_64")
set(GDAL_DEV_PATH "C:\\GDAL" CACHE PATH "Path to directory containing GDAL include and lib, e.g. M:\\lib\\gdal")
set(PROJ_DEV_PATH "C:\\PROJ" CACHE PATH "Path to directory containing PROJ.4 include and lib, e.g. M:\\lib\\PROJ")
set(ROUTINO_DEV_PATH "C:\\routino" CACHE PATH "Path to directory containing routino include and lib, e.g. M:\\lib\\routino")
set(QUAZIP_DEV_PATH "C:\\quazip" CACHE PATH "Path to directory containing quazip include and lib, e.g. M:\\lib\\quazip5")
set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${QT_DEV_PATH})
endif(WIN32)


set(APPLICATION_NAME qmapshack)

set(APPLICATION_VERSION_MAJOR "1")
set(APPLICATION_VERSION_MINOR "9")
set(APPLICATION_VERSION_PATCH "0")

add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH} -DAPPLICATION_NAME=${PROJECT_NAME})


if (APPLE)
  set(PROGNAME "QMapShack")
  set(CONFIGDIR "Library/Application Support/${PROGNAME}/")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS_INIT} -Wall -std=c++11 -stdlib=libc++")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -stdlib=libc++")
  SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.7")
else(APPLE)
  set(PROGNAME qmapshack)
  set(CONFIGDIR ".config/QLandkarte/")
endif(APPLE)
if(MSVC)
  # Add link-time code generation to improve performance
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /GL")
  set(CMAKE_EXE_LINKER_FLAGS_RELEASE    "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
  set(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} /LTCG")
  set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /LTCG")
endif(MSVC)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# Bring translation support in
include(TranslateTs)
include(TranslateDesktop)

# add definitions
include(DefineCMakeDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(CPackConfig.cmake)

include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)

find_package(ALGLIB)

if(NOT ALGLIB_FOUND)
    set(ALGLIB_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/alglib/src)
    set(ALGLIB_LIBRARIES alg)
    add_subdirectory(3rdparty/alglib)
endif(NOT ALGLIB_FOUND)

add_subdirectory(src)

if (UNIX AND NOT WIN32 AND NOT APPLE)
  install(
    FILES
      src/icons/48x48/QMapShack.png
    DESTINATION
      ${DATA_INSTALL_PREFIX}/pixmaps
  )

  install(
    DIRECTORY
      src/icons/hicolor
    DESTINATION
      ${ICON_INSTALL_DIR}
  )

  install(
    FILES
      qmapshack.1
    DESTINATION
      ${MAN_INSTALL_DIR}/man1
  )
endif (UNIX AND NOT WIN32 AND NOT APPLE)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/CMakeLists.txt ===
# Prevent custom commands/targets outputs to be deleted by make clean
# We need this to prevent .ts files from being deleted with make clean, when
# UPDATE_TRANSLATIONS=ON
# WARNING: Only works with Makefile generator.
# See: https://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=15c454fe
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM TRUE)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

option(BUILD_FOR_LOCAL_SYSTEM "Build for local system ONLY (resulting binary might not work on other systems!)" OFF)

if(BUILD_FOR_LOCAL_SYSTEM)
    set(flag "-march=native")
    CHECK_CXX_COMPILER_FLAG(${flag} Flag:${flag})
    if(Flag:${flag})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flag}" PARENT_SCOPE)

        message(WARNING [=[ 
 BUILDING FOR LOCAL SYSTEM ONLY
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 Specifying -DBUILD_FOR_LOCAL_SYSTEM=ON will pass -march=native to the compiler.
 The generated binary will exhibit higher performance,
 but will not be portable (e.g., might not work on other CPUs)]=])
    else(Flag:${flag})
        message(WARNING [=[
 Your compiler does not support -march=native.
 Ignoring -DBUILD_FOR_LOCAL_SYSTEM=ON!]=])
    endif(Flag:${flag})


   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")
endif(BUILD_FOR_LOCAL_SYSTEM)

# Find the QtWidgets library
find_package(Qt5Widgets)
find_package(Qt5Core)
find_package(Qt5Xml)
find_package(Qt5Script)
find_package(Qt5Sql)
find_package(Qt5WebKitWidgets)
find_package(Qt5LinguistTools)
find_package(Qt5PrintSupport)
find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(ROUTINO REQUIRED)
find_package(QuaZip REQUIRED)

if(USE_QT5DBus)
    find_package(Qt5DBus)
    if(Qt5DBus_FOUND)
        add_definitions(-DHAVE_DBUS)
    endif(Qt5DBus_FOUND)
endif(USE_QT5DBus)


if(${Qt5Widgets_VERSION} MATCHES "5\\.[0-2]+\\..*")
    message( SEND_ERROR "You need at least Qt5.3 or newer.")
endif()

function(cxx_add_flag_if_supported flag)
    CHECK_CXX_COMPILER_FLAG(${flag} Flag:${flag})
    if(Flag:${flag})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flag}" PARENT_SCOPE)
    endif(Flag:${flag})
endfunction(cxx_add_flag_if_supported)

if(UNIX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif(UNIX)

if (APPLE)
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -framework Foundation -framework DiskArbitration")
     SET(LINK_FLAGS "${LINK_FLAGS} -framework Foundation -framework DiskArbitration")
endif(APPLE)

if(APPLE)
     FIND_LIBRARY(DiskArbitration_LIBRARY DiskArbitration)
     FIND_LIBRARY(Foundation_LIBRARY Foundation)
endif(APPLE)


set( SRCS
        main.cpp
        GeoMath.cpp
        CMainWindow.cpp
        CSingleInstanceProxy.cpp
        CAbout.cpp
        widgets/CTinySpinBox.cpp
        widgets/CDoubleSpinBox.cpp
        widgets/CFadingIcon.cpp
        widgets/CTextEdit.cpp
        widgets/CTextEditWidget.cpp
        widgets/CTextEditWidgetSelMenu.cpp
        widgets/CLineEdit.cpp
        widgets/CHistoryListWidget.cpp
        widgets/CPhotoAlbum.cpp
        widgets/CColorLegend.cpp
        widgets/CColorChooser.cpp
        widgets/CSelectDoubleListWidget.cpp
        helpers/CInputDialog.cpp
        helpers/CPositionDialog.cpp
        helpers/CWptIconDialog.cpp
        helpers/CSelectProjectDialog.cpp
        helpers/CSelectCopyAction.cpp
        helpers/CElevationDialog.cpp
        helpers/CLinksDialog.cpp
        helpers/CPhotoViewer.cpp
        helpers/CProgressDialog.cpp
        helpers/CDraw.cpp
        helpers/CValue.cpp
        helpers/CLimit.cpp
        helpers/CToolBarConfig.cpp
        helpers/CToolBarSetupDialog.cpp
        canvas/CCanvas.cpp
        canvas/CCanvasSetup.cpp
        canvas/IDrawContext.cpp
        canvas/IDrawObject.cpp
        dem/IDem.cpp
        map/IMapProp.cpp
        dem/IDemProp.cpp
        dem/CDemDraw.cpp
        dem/CDemVRT.cpp
        dem/CDemList.cpp
        dem/CDemItem.cpp
        dem/CDemPathSetup.cpp
        dem/CDemPropSetup.cpp
        map/IMap.cpp
        map/CMapDraw.cpp
        map/CMapGEMF.cpp
        map/CMapItem.cpp
        map/CMapList.cpp
        map/CMapRMAP.cpp
        map/CMapJNX.cpp
        map/CMapIMG.cpp
        map/CMapMAP.cpp
        map/CMapVRT.cpp
        map/CMapWMTS.cpp
        map/CMapTMS.cpp
        map/CMapPathSetup.cpp
        map/CMapPropSetup.cpp
        map/garmin/IGarminStrTbl.cpp
        map/garmin/CGarminStrTbl6.cpp
        map/garmin/CGarminStrTbl8.cpp
        map/garmin/CGarminStrTblUtf8.cpp
        map/garmin/CGarminPoint.cpp
        map/garmin/CGarminPolygon.cpp
        map/garmin/CGarminTyp.cpp
        map/cache/CDiskCache.cpp
        map/mapsforge/types.cpp
        units/IUnit.cpp
        units/CUnitImperial.cpp
        units/CUnitMetric.cpp
        units/CUnitNautic.cpp
        units/CTimeZoneSetup.cpp
        units/CUnitsSetup.cpp
        units/CCoordFormatSetup.cpp
        grid/CGrid.cpp
        grid/CGridSetup.cpp
        grid/CProjWizard.cpp
        grid/mitab.cpp
        mouse/IMouse.cpp
        mouse/IMouseSelect.cpp
        mouse/IScrOpt.cpp
        mouse/CMouseDummy.cpp
        mouse/CMouseNormal.cpp
        mouse/CMouseMoveWpt.cpp
        mouse/CMouseEditTrk.cpp
        mouse/CMouseEditRte.cpp
        mouse/CMouseEditArea.cpp
        mouse/CMouseRangeTrk.cpp
        mouse/CMouseWptBubble.cpp
        mouse/CMousePrint.cpp
        mouse/CMouseSelect.cpp
        mouse/CScrOptUnclutter.cpp
        mouse/CScrOptRangeTrk.cpp
        mouse/CScrOptSelect.cpp
        mouse/CScrOptPrint.cpp
        mouse/line/IMouseEditLine.cpp
        mouse/line/CScrOptEditLine.cpp
        mouse/line/CScrOptRangeLine.cpp
        mouse/line/ILineOp.cpp
        mouse/line/CLineOpMovePoint.cpp
        mouse/line/CLineOpAddPoint.cpp
        mouse/line/CLineOpDeletePoint.cpp
        mouse/line/CLineOpSelectRange.cpp
        gis/WptIcons.cpp
        gis/CGisDraw.cpp
        gis/IGisItem.cpp
        gis/IGisLine.cpp
        gis/CGisWidget.cpp
        gis/CGisListDB.cpp
        gis/CGisListWks.cpp
        gis/CSelDevices.cpp
        gis/CSetupFilter.cpp
        gis/prj/IGisProject.cpp
        gis/prj/CDetailsPrj.cpp
        gis/gpx/CGpxProject.cpp
        gis/gpx/serialization.cpp
        gis/qms/CQmsProject.cpp
        gis/qms/serialization.cpp
        gis/slf/CSlfProject.cpp
        gis/slf/CSlfReader.cpp
        gis/tnv/CTwoNavProject.cpp
        gis/tnv/serialization.cpp
        gis/tcx/CTcxProject.cpp
        gis/tcx/serialization.cpp
        gis/db/IDB.cpp
        gis/db/IDBSqlite.cpp
        gis/db/IDBMysql.cpp
        gis/db/CSetupDatabase.cpp
        gis/db/CSetupWorkspace.cpp
        gis/db/CSetupFolder.cpp
        gis/db/IDBFolder.cpp
        gis/db/IDBFolderSql.cpp
        gis/db/CDBFolderLostFound.cpp
        gis/db/CDBFolderSqlite.cpp
        gis/db/CDBFolderMysql.cpp
        gis/db/CDBFolderGroup.cpp
        gis/db/CDBFolderOther.cpp
        gis/db/CDBFolderProject.cpp
        gis/db/CDBItem.cpp
        gis/db/CDBProject.cpp
        gis/db/CLostFoundProject.cpp
        gis/db/CSelectSaveAction.cpp
        gis/db/CSelectDBFolder.cpp
        gis/db/CSearchDatabase.cpp
        gis/db/CExportDatabase.cpp
        gis/db/CExportDatabaseThread.cpp
        gis/search/CSearchGoogle.cpp
        gis/wpt/CGisItemWpt.cpp
        gis/wpt/CScrOptWpt.cpp
        gis/wpt/CDetailsWpt.cpp
        gis/wpt/CDetailsGeoCache.cpp
        gis/wpt/CProjWpt.cpp
        gis/wpt/CSetupNewWpt.cpp
        gis/trk/CGisItemTrk.cpp
        gis/trk/CScrOptTrk.cpp
        gis/trk/CDetailsTrk.cpp
        gis/trk/CCombineTrk.cpp
        gis/trk/CCutTrk.cpp
        gis/trk/CSelectActivityColor.cpp
        gis/trk/CActivityTrk.cpp
        gis/trk/CPropertyTrk.cpp
        gis/trk/CKnownExtension.cpp
        gis/trk/CTableTrk.cpp
        gis/trk/filter/filter.cpp
        gis/trk/filter/CFilterDouglasPeuker.cpp
        gis/trk/filter/CFilterInvalid.cpp
        gis/trk/filter/CFilterReset.cpp
        gis/trk/filter/CFilterSubPt2Pt.cpp
        gis/trk/filter/CFilterDelete.cpp
        gis/trk/filter/CFilterDeleteExtension.cpp
        gis/trk/filter/CFilterMedian.cpp
        gis/trk/filter/CFilterReplaceElevation.cpp
        gis/trk/filter/CFilterInterpolateElevation.cpp
        gis/trk/filter/CFilterOffsetElevation.cpp
        gis/trk/filter/CFilterNewDate.cpp
        gis/trk/filter/CFilterObscureDate.cpp
        gis/trk/filter/CFilterSpeed.cpp
        gis/trk/filter/CFilterSplitSegment.cpp
        gis/trk/filter/CFilterTerrainSlope.cpp
        gis/trk/CTrackData.cpp
        gis/rte/CGisItemRte.cpp
        gis/rte/CScrOptRte.cpp
        gis/rte/CCreateRouteFromWpt.cpp
        gis/rte/CDetailsRte.cpp
        gis/rte/router/IRouter.cpp
        gis/rte/router/CRouterSetup.cpp
        gis/rte/router/CRouterRoutino.cpp
        gis/rte/router/CRouterMapQuest.cpp
        gis/rte/router/routino/CRouterRoutinoPathSetup.cpp
        gis/rte/router/CRouterBRouter.cpp
        gis/rte/router/brouter/CRouterBRouterInfo.cpp
        gis/rte/router/brouter/CRouterBRouterSetup.cpp
        gis/rte/router/brouter/CRouterBRouterSetupPage.cpp
        gis/rte/router/brouter/CRouterBRouterSetupWizard.cpp
        gis/rte/router/brouter/CRouterBRouterToolShell.cpp
        gis/rte/router/brouter/CRouterBRouterTilesPage.cpp
        gis/rte/router/brouter/CRouterBRouterTilesSelect.cpp
        gis/rte/router/brouter/CRouterBRouterTilesSelectArea.cpp
        gis/ovl/CGisItemOvlArea.cpp
        gis/ovl/CScrOptOvlArea.cpp
        gis/ovl/CDetailsOvlArea.cpp
        gis/fit/CFitProject.cpp
        gis/fit/CFitStream.cpp
        gis/fit/serialization.cpp
        gis/fit/decoder/CFitMessage.cpp
        gis/fit/decoder/CFitField.cpp
        gis/fit/decoder/CFitDefinitionMessage.cpp
        gis/fit/decoder/CFitFieldDefinition.cpp
        gis/fit/defs/CFitProfile.cpp
        gis/fit/decoder/IFitDecoderState.cpp
        gis/fit/decoder/CFitHeaderState.cpp
        gis/fit/decoder/CFitRecordHeaderState.cpp
        gis/fit/decoder/CFitFieldDataState.cpp
        gis/fit/decoder/CFitFieldDefinitionState.cpp
        gis/fit/decoder/CFitRecordContentState.cpp
        gis/fit/decoder/CFitCrcState.cpp
        gis/fit/defs/CFitBaseType.cpp
        gis/fit/decoder/CFitDecoder.cpp
        gis/fit/defs/CFitProfileLookup.cpp
        gis/fit/defs/CFitFieldProfile.cpp
        gis/fit/decoder/CFitByteDataTransformer.cpp
        gis/fit/decoder/CFitFieldBuilder.cpp
        gis/fit/decoder/CFitDevFieldDefinition.cpp
        gis/fit/decoder/CFitDevFieldDefinitionState.cpp
        plot/IPlot.cpp
        plot/CPlotAxis.cpp
        plot/CPlotAxisTime.cpp
        plot/CPlotData.cpp
        plot/CPlotProfile.cpp
        plot/ITrack.cpp
        plot/CPlotTrack.cpp
        plot/CPlot.cpp
        qlgt/converter.cpp
        qlgt/CQlb.cpp
        qlgt/IItem.cpp
        qlgt/CQlgtFolder.cpp
        qlgt/CQlgtWpt.cpp
        qlgt/CQlgtTrack.cpp
        qlgt/CQlgtRoute.cpp
        qlgt/CQlgtDiary.cpp
        qlgt/IQlgtOverlay.cpp
        qlgt/CQlgtDb.cpp
        qlgt/CQmsDb.cpp
        device/IDeviceWatcher.cpp
        device/IDevice.cpp
        device/CDeviceGarmin.cpp
        device/CDeviceGarminArchive.cpp
        device/CDeviceTwoNav.cpp
        tool/IToolShell.cpp
        tool/CMapVrtBuilder.cpp
        tool/CImportDatabase.cpp
        tool/CRoutinoDatabaseBuilder.cpp
        print/CPrintDialog.cpp
        setup/IAppSetup.cpp
        setup/CAppSetupLinux.cpp
        setup/CAppSetupWin.cpp
        setup/CAppSetupMac.cpp
        setup/CCommandProcessor.cpp
        setup/CLogHandler.cpp
)


if(Qt5DBus_FOUND)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherLinux.cpp
)
endif(Qt5DBus_FOUND)


if (APPLE)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherMac.cpp
)
endif(APPLE)

if(WIN32)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherWindows.cpp
)
endif(WIN32)


set( HDRS
        version.h
        GeoMath.h
        CMainWindow.h
        CSingleInstanceProxy.h
        CAbout.h
        widgets/CTinySpinBox.h

=== debian/changelog ===
qmapshack (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update gbp.conf to use common configuration.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Jul 2017 18:11:29 +0200

qmapshack (1.8.1-1) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 19:01:16 +0200

qmapshack (1.8.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 May 2017 13:24:24 +0200

qmapshack (1.8.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Update copyright years for Oliver Eichler
    - Add Michel Durand & Norbert Truchsess to copyright holders
  * Drop patches, applied upstream.
  * Add libquazip5-dev to build dependencies.
  * Add patch to fix quazip.h search paths.
  * Add patch to fix Russian desktop file translation.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Mar 2017 13:58:02 +0200

=== debian/control ===
Source: qmapshack
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9.20120417~),
               inkscape,
               libalglib-dev,
               libgdal-dev (>= 1.10.1-0~),
               libproj-dev,
               libroutino-dev (>= 3.1),
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               libquazip5-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               qtscript5-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/qmapshack.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/qmapshack.git
Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home

Package: qmapshack
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqt5sql5-sqlite
Recommends: gdal-bin,
            routino
Suggests: gpsd
Description: GPS mapping (GeoTiff and vector) and GPSr management
 This package provides a versatile tool for GPS maps in GeoTiff format as
 well as Garmin's img vector map format.
 You can also view and edit your GPX tracks.
 QMapShack is the successor of QLandkarteGT.
 .
 Main features:
  - Use of several workspaces.
  - Use several maps on a workspace.
  - Handle data project-oriented.

## qmapshack 1.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
 set(APPLICATION_NAME qmapshack)
 
 set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "9")
+set(APPLICATION_VERSION_MINOR "10")
 set(APPLICATION_VERSION_PATCH "0")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH} -DAPPLICATION_NAME=${PROJECT_NAME})

=== src/CMakeLists.txt ===
# Prevent custom commands/targets outputs to be deleted by make clean
# We need this to prevent .ts files from being deleted with make clean, when
# UPDATE_TRANSLATIONS=ON
# WARNING: Only works with Makefile generator.
# See: https://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=15c454fe
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM TRUE)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

option(BUILD_FOR_LOCAL_SYSTEM "Build for local system ONLY (resulting binary might not work on other systems!)" OFF)

if(BUILD_FOR_LOCAL_SYSTEM)
    set(flag "-march=native")
    CHECK_CXX_COMPILER_FLAG(${flag} Flag:${flag})
    if(Flag:${flag})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flag}" PARENT_SCOPE)

        message(WARNING [=[ 
 BUILDING FOR LOCAL SYSTEM ONLY
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 Specifying -DBUILD_FOR_LOCAL_SYSTEM=ON will pass -march=native to the compiler.
 The generated binary will exhibit higher performance,
 but will not be portable (e.g., might not work on other CPUs)]=])
    else(Flag:${flag})
        message(WARNING [=[
 Your compiler does not support -march=native.
 Ignoring -DBUILD_FOR_LOCAL_SYSTEM=ON!]=])
    endif(Flag:${flag})


   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")
endif(BUILD_FOR_LOCAL_SYSTEM)

# Find the QtWidgets library
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(Qt5Script REQUIRED)
find_package(Qt5Sql REQUIRED)
find_package(Qt5WebKitWidgets REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(Qt5UiTools REQUIRED)
find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(ROUTINO REQUIRED)
find_package(QuaZip REQUIRED)

if(USE_QT5DBus)
    find_package(Qt5DBus REQUIRED)
    if(Qt5DBus_FOUND)
        add_definitions(-DHAVE_DBUS)
    endif(Qt5DBus_FOUND)
endif(USE_QT5DBus)


if(${Qt5Widgets_VERSION} MATCHES "5\\.[0-2]{1}\\..*")
    message( SEND_ERROR "You need at least Qt5.3 or newer.")
endif()

function(cxx_add_flag_if_supported flag)
    CHECK_CXX_COMPILER_FLAG(${flag} Flag:${flag})
    if(Flag:${flag})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flag}" PARENT_SCOPE)
    endif(Flag:${flag})
endfunction(cxx_add_flag_if_supported)

if(UNIX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -lstdc++ -lm")
endif(UNIX)

if (APPLE)
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -framework Foundation -framework DiskArbitration")
     SET(LINK_FLAGS "${LINK_FLAGS} -framework Foundation -framework DiskArbitration")
endif(APPLE)

if(APPLE)
     FIND_LIBRARY(DiskArbitration_LIBRARY DiskArbitration)
     FIND_LIBRARY(Foundation_LIBRARY Foundation)
endif(APPLE)


set( SRCS    
    CAbout.cpp
    CMainWindow.cpp
    CSingleInstanceProxy.cpp
    GeoMath.cpp
    canvas/CCanvas.cpp
    canvas/CCanvasSetup.cpp
    canvas/IDrawContext.cpp
    canvas/IDrawObject.cpp
    dem/CDemDraw.cpp
    dem/CDemItem.cpp
    dem/CDemList.cpp
    dem/CDemPathSetup.cpp
    dem/CDemPropSetup.cpp
    dem/CDemVRT.cpp
    dem/IDem.cpp
    dem/IDemProp.cpp
    device/CDeviceGarmin.cpp
    device/CDeviceGarminArchive.cpp
    device/CDeviceTwoNav.cpp
    device/IDevice.cpp
    device/IDeviceWatcher.cpp
    gis/CGisDatabase.cpp
    gis/CGisDraw.cpp
    gis/CGisListDB.cpp
    gis/CGisListWks.cpp
    gis/CGisWorkspace.cpp
    gis/CSelDevices.cpp
    gis/CSetupFilter.cpp
    gis/IGisItem.cpp
    gis/IGisLine.cpp
    gis/WptIcons.cpp
    gis/db/CDBFolderGroup.cpp
    gis/db/CDBFolderLostFound.cpp
    gis/db/CDBFolderMysql.cpp
    gis/db/CDBFolderOther.cpp
    gis/db/CDBFolderProject.cpp
    gis/db/CDBFolderSqlite.cpp
    gis/db/CDBItem.cpp
    gis/db/CDBProject.cpp
    gis/db/CExportDatabase.cpp
    gis/db/CExportDatabaseThread.cpp
    gis/db/CLostFoundProject.cpp
    gis/db/CSearchDatabase.cpp
    gis/db/CSelectDBFolder.cpp
    gis/db/CSelectSaveAction.cpp
    gis/db/CSetupDatabase.cpp
    gis/db/CSetupFolder.cpp
    gis/db/CSetupWorkspace.cpp
    gis/db/IDB.cpp
    gis/db/IDBFolder.cpp
    gis/db/IDBFolderSql.cpp
    gis/db/IDBMysql.cpp
    gis/db/IDBSqlite.cpp
    gis/fit/CFitProject.cpp
    gis/fit/CFitStream.cpp
    gis/fit/decoder/CFitByteDataTransformer.cpp
    gis/fit/decoder/CFitCrcState.cpp
    gis/fit/decoder/CFitDecoder.cpp
    gis/fit/decoder/CFitDefinitionMessage.cpp
    gis/fit/decoder/CFitDevFieldDefinition.cpp
    gis/fit/decoder/CFitDevFieldDefinitionState.cpp
    gis/fit/decoder/CFitField.cpp
    gis/fit/decoder/CFitFieldBuilder.cpp
    gis/fit/decoder/CFitFieldDataState.cpp
    gis/fit/decoder/CFitFieldDefinition.cpp
    gis/fit/decoder/CFitFieldDefinitionState.cpp
    gis/fit/decoder/CFitHeaderState.cpp
    gis/fit/decoder/CFitMessage.cpp
    gis/fit/decoder/CFitRecordContentState.cpp
    gis/fit/decoder/CFitRecordHeaderState.cpp
    gis/fit/decoder/IFitDecoderState.cpp
    gis/fit/defs/CFitBaseType.cpp
    gis/fit/defs/CFitFieldProfile.cpp
    gis/fit/defs/CFitProfile.cpp
    gis/fit/defs/CFitProfileLookup.cpp
    gis/fit/serialization.cpp
    gis/gpx/CGpxProject.cpp
    gis/gpx/serialization.cpp
    gis/ovl/CDetailsOvlArea.cpp
    gis/ovl/CGisItemOvlArea.cpp
    gis/ovl/CScrOptOvlArea.cpp
    gis/prj/CDetailsPrj.cpp
    gis/prj/IGisProject.cpp
    gis/qlb/CQlbProject.cpp
    gis/qms/CQmsProject.cpp
    gis/qms/serialization.cpp
    gis/rte/CCreateRouteFromWpt.cpp
    gis/rte/CDetailsRte.cpp
    gis/rte/CGisItemRte.cpp
    gis/rte/CScrOptRte.cpp
    gis/rte/router/CRouterBRouter.cpp
    gis/rte/router/CRouterMapQuest.cpp
    gis/rte/router/CRouterRoutino.cpp
    gis/rte/router/CRouterSetup.cpp
    gis/rte/router/IRouter.cpp
    gis/rte/router/brouter/CRouterBRouterInfo.cpp
    gis/rte/router/brouter/CRouterBRouterSetup.cpp
    gis/rte/router/brouter/CRouterBRouterSetupPage.cpp
    gis/rte/router/brouter/CRouterBRouterSetupWizard.cpp
    gis/rte/router/brouter/CRouterBRouterTilesPage.cpp
    gis/rte/router/brouter/CRouterBRouterTilesSelect.cpp
    gis/rte/router/brouter/CRouterBRouterTilesSelectArea.cpp
    gis/rte/router/brouter/CRouterBRouterToolShell.cpp
    gis/rte/router/routino/CRouterRoutinoPathSetup.cpp
    gis/search/CSearchGoogle.cpp
    gis/slf/CSlfProject.cpp
    gis/slf/CSlfReader.cpp
    gis/suunto/CLogProject.cpp
    gis/suunto/CSmlProject.cpp
    gis/suunto/ISuuntoProject.cpp
    gis/tcx/CTcxProject.cpp
    gis/tcx/serialization.cpp
    gis/tnv/CTwoNavProject.cpp
    gis/tnv/serialization.cpp
    gis/trk/CActivityTrk.cpp
    gis/trk/CCombineTrk.cpp
    gis/trk/CCutTrk.cpp
    gis/trk/CDetailsTrk.cpp
    gis/trk/CGisItemTrk.cpp
    gis/trk/CKnownExtension.cpp
    gis/trk/CPropertyTrk.cpp
    gis/trk/CScrOptTrk.cpp
    gis/trk/CSelectActivityColor.cpp
    gis/trk/CTableTrk.cpp
    gis/trk/CTrackData.cpp
    gis/trk/filter/CFilterDelete.cpp
    gis/trk/filter/CFilterDeleteExtension.cpp
    gis/trk/filter/CFilterDouglasPeuker.cpp
    gis/trk/filter/CFilterInterpolateElevation.cpp
    gis/trk/filter/CFilterInvalid.cpp
    gis/trk/filter/CFilterMedian.cpp
    gis/trk/filter/CFilterNewDate.cpp
    gis/trk/filter/CFilterObscureDate.cpp
    gis/trk/filter/CFilterOffsetElevation.cpp
    gis/trk/filter/CFilterReplaceElevation.cpp
    gis/trk/filter/CFilterReset.cpp
    gis/trk/filter/CFilterSpeed.cpp
    gis/trk/filter/CFilterSplitSegment.cpp
    gis/trk/filter/CFilterSubPt2Pt.cpp
    gis/trk/filter/CFilterTerrainSlope.cpp
    gis/trk/filter/filter.cpp
    gis/wpt/CDetailsGeoCache.cpp
    gis/wpt/CDetailsWpt.cpp
    gis/wpt/CGisItemWpt.cpp
    gis/wpt/CProjWpt.cpp
    gis/wpt/CScrOptWpt.cpp
    gis/wpt/CScrOptWptRadius.cpp
    gis/wpt/CSetupNewWpt.cpp
    grid/CGrid.cpp
    grid/CGridSetup.cpp
    grid/CProjWizard.cpp
    grid/mitab.cpp
    helpers/CDraw.cpp
    helpers/CElevationDialog.cpp
    helpers/CInputDialog.cpp
    helpers/CLimit.cpp
    helpers/CLinksDialog.cpp
    helpers/CPhotoViewer.cpp
    helpers/CPositionDialog.cpp
    helpers/CProgressDialog.cpp
    helpers/CSelectCopyAction.cpp
    helpers/CSelectProjectDialog.cpp
    helpers/CToolBarConfig.cpp
    helpers/CToolBarSetupDialog.cpp
    helpers/CValue.cpp
    helpers/CWptIconDialog.cpp
    main.cpp
    map/CMapDraw.cpp
    map/CMapGEMF.cpp
    map/CMapIMG.cpp
    map/CMapItem.cpp
    map/CMapJNX.cpp
    map/CMapList.cpp
    map/CMapMAP.cpp
    map/CMapPathSetup.cpp
    map/CMapPropSetup.cpp
    map/CMapRMAP.cpp
    map/CMapTMS.cpp
    map/CMapVRT.cpp
    map/CMapWMTS.cpp
    map/IMap.cpp
    map/IMapOnline.cpp
    map/IMapProp.cpp
    map/cache/CDiskCache.cpp
    map/garmin/CGarminPoint.cpp
    map/garmin/CGarminPolygon.cpp
    map/garmin/CGarminStrTbl6.cpp
    map/garmin/CGarminStrTbl8.cpp
    map/garmin/CGarminStrTblUtf8.cpp
    map/garmin/CGarminTyp.cpp
    map/garmin/IGarminStrTbl.cpp
    map/mapsforge/types.cpp
    mouse/CMouseDummy.cpp
    mouse/CMouseEditArea.cpp
    mouse/CMouseEditRte.cpp
    mouse/CMouseEditTrk.cpp
    mouse/CMouseMoveWpt.cpp
    mouse/CMouseNormal.cpp
    mouse/CMousePrint.cpp
    mouse/CMouseRadiusWpt.cpp
    mouse/CMouseRangeTrk.cpp
    mouse/CMouseSelect.cpp
    mouse/CMouseWptBubble.cpp
    mouse/CScrOptPrint.cpp
    mouse/CScrOptRangeTrk.cpp
    mouse/CScrOptSelect.cpp
    mouse/CScrOptUnclutter.cpp
    mouse/IMouse.cpp
    mouse/IMouseSelect.cpp
    mouse/IScrOpt.cpp
    mouse/line/CLineOpAddPoint.cpp
    mouse/line/CLineOpDeletePoint.cpp
    mouse/line/CLineOpMovePoint.cpp
    mouse/line/CLineOpSelectRange.cpp
    mouse/line/CScrOptEditLine.cpp
    mouse/line/CScrOptRangeLine.cpp
    mouse/line/ILineOp.cpp
    mouse/line/IMouseEditLine.cpp
    plot/CPlot.cpp
    plot/CPlotAxis.cpp
    plot/CPlotAxisTime.cpp
    plot/CPlotData.cpp
    plot/CPlotProfile.cpp
    plot/CPlotTrack.cpp
    plot/IPlot.cpp
    plot/ITrack.cpp
    print/CPrintDialog.cpp
    qlgt/CQlb.cpp
    qlgt/CQlgtDb.cpp
    qlgt/CQlgtDiary.cpp
    qlgt/CQlgtFolder.cpp
    qlgt/CQlgtRoute.cpp
    qlgt/CQlgtTrack.cpp
    qlgt/CQlgtWpt.cpp
    qlgt/CQmsDb.cpp
    qlgt/IItem.cpp
    qlgt/IQlgtOverlay.cpp
    qlgt/converter.cpp
    setup/CAppSetupLinux.cpp
    setup/CAppSetupMac.cpp
    setup/CAppSetupWin.cpp
    setup/CCommandProcessor.cpp
    setup/CLogHandler.cpp
    setup/IAppSetup.cpp
    tool/CImportDatabase.cpp
    tool/CMapVrtBuilder.cpp
    tool/CRoutinoDatabaseBuilder.cpp
    tool/IToolShell.cpp
    units/CCoordFormatSetup.cpp
    units/CTimeZoneSetup.cpp
    units/CUnitImperial.cpp
    units/CUnitMetric.cpp
    units/CUnitNautic.cpp
    units/CUnitsSetup.cpp
    units/IUnit.cpp
    widgets/CColorChooser.cpp
    widgets/CColorLegend.cpp
    widgets/CDoubleSpinBox.cpp
    widgets/CFadingIcon.cpp
    widgets/CHistoryListWidget.cpp
    widgets/CLineEdit.cpp
    widgets/CPhotoAlbum.cpp
    widgets/CSelectDoubleListWidget.cpp
    widgets/CTemplateWidget.cpp
    widgets/CTextEdit.cpp
    widgets/CTextEditWidget.cpp
    widgets/CTextEditWidgetSelMenu.cpp
    widgets/CTinySpinBox.cpp
)


if(Qt5DBus_FOUND)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherLinux.cpp
)
endif(Qt5DBus_FOUND)


if (APPLE)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherMac.cpp
)
endif(APPLE)

if(WIN32)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherWindows.cpp
)
endif(WIN32)


set( HDRS
        CAbout.h
        CMainWindow.h
        CSingleInstanceProxy.h
        GeoMath.h
        canvas/CCanvas.h
        canvas/CCanvasSetup.h
        canvas/IDrawContext.h
        canvas/IDrawObject.h
        dem/CDemDraw.h
        dem/CDemItem.h
        dem/CDemList.h
        dem/CDemPathSetup.h
        dem/CDemPropSetup.h
        dem/CDemVRT.h
        dem/IDem.h
        dem/IDemProp.h
        device/CDeviceGarmin.h
        device/CDeviceGarminArchive.h
        device/CDeviceTwoNav.h
        device/IDevice.h
        device/IDeviceWatcher.h
        gis/CGisDatabase.h
        gis/CGisDraw.h
        gis/CGisListDB.h
        gis/CGisListWks.h
        gis/CGisWorkspace.h
        gis/CSelDevices.h
        gis/CSetupFilter.h
        gis/IGisItem.h
        gis/IGisLine.h
        gis/Poi.h

=== 3rdparty/alglib/CMakeLists.txt ===



# Set source files
# ----------------
set(alg_SRCS
    src/alglibinternal.cpp
    src/alglibmisc.cpp
    src/ap.cpp
    src/dataanalysis.cpp
    src/diffequations.cpp
    src/fasttransforms.cpp
    src/integration.cpp
    src/interpolation.cpp
    src/linalg.cpp
    src/optimization.cpp
    src/solvers.cpp
    src/specialfunctions.cpp
    src/statistics.cpp
)

# Set header files
# ----------------
set(alg_HDRS
    src/alglibinternal.h
    src/alglibmisc.h
    src/ap.h
    src/dataanalysis.h
    src/diffequations.h
    src/fasttransforms.h
    src/integration.h
    src/interpolation.h
    src/linalg.h
    src/optimization.h
    src/solvers.h
    src/specialfunctions.h
    src/statistics.h
    src/stdafx.h
)



# The target to build
# -------------------
add_library(alg STATIC ${alg_SRCS} ${alg_HDRS})

=== debian/changelog ===
qmapshack (1.10.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Dec 2017 22:42:01 +0100

qmapshack (1.10.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes.
  * Add lintian override for spelling-error-in-binary false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Dec 2017 17:00:39 +0100

qmapshack (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years for Christian Eichler.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Sep 2017 19:32:06 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                qttools5-dev,
                qttools5-dev-tools,
                qtscript5-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/qmapshack.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/qmapshack.git
 Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export QT_SELECT := qt5

# one ring to rule them all ...
%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_VERBOSE_MAKEFILE=1

override_dh_auto_build:
ifeq (,$(findstring $(DEB_HOST_ARCH),"arm64 mips64el powerpc hurd-i386"))
	# Don't regenerate icons on architectures where inkscape fails
	$(RM) $(CURDIR)/src/icons/16x16/*
	$(RM) $(CURDIR)/src/icons/32x32/*
	$(RM) $(CURDIR)/src/icons/48x48/*
	$(RM) $(CURDIR)/src/icons/cache/32x32/*
	$(RM) $(CURDIR)/src/icons/waypoints/32x32/*
	$(RM) $(CURDIR)/src/pics/compass.png

	cd $(CURDIR)/src/icons/ && bash makeicons
	cd $(CURDIR)/src/icons/cache/ && bash makeicons
	cd $(CURDIR)/src/icons/waypoints/ && bash makeicons
	inkscape -D -w 180 -h 180 $(CURDIR)/src/pics/compass.svg --export-png=$(CURDIR)/src/pics/compass.png
endif

	dh_auto_build

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|V|qmapshack)?[\-\_]?(?:%20)?(\d+\.\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/qmapshack-$1.$2/ \
https://bitbucket.org/maproom/qmapshack/downloads/ \
(?:.*?/)?(?:rel|v|V|qmapshack)?[\-\_]?(?:%20)?(\d+\.\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
